--合并抵消日志的分录T_EB_OFFSETEXELOGENTRY
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_OFFSETEXELOGENTRY')
CREATE TABLE T_EB_OFFSETEXELOGENTRY (
    FID BIGINT DEFAULT 0 NOT NULL,
    FOFFSETRULE BIGINT DEFAULT 0 NULL,
    FCSLORGID BIGINT DEFAULT 0 NULL,
    FPERIODID BIGINT DEFAULT 0 NULL,
    FMYORG BIGINT DEFAULT 0 NULL,
    FMYACCOUNT BIGINT DEFAULT 0 NULL,
    FMYAMOUNT NUMERIC(23, 10) DEFAULT 0 NULL,
    FMETRIC BIGINT DEFAULT 0 NULL,
    FOFFSETEXELOG BIGINT DEFAULT 0 NOT NULL,
    FAMOUNTQTY BIGINT DEFAULT 0 NULL,
    FAMOUNTC NUMERIC(23, 10) DEFAULT 0 NULL,
    FAMOUNTD NUMERIC(23, 10) DEFAULT 0 NULL,
    FINTERORG BIGINT DEFAULT 0 NULL,
    FINTERACCOUNT BIGINT DEFAULT 0 NULL
);
EXEC P_ALTERPK 'PK_EB_OFFSETEXELOGENTRY', 'T_EB_OFFSETEXELOGENTRY', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IND_EB_OFFSETEXELOGENTRY_OL')
CREATE INDEX IND_EB_OFFSETEXELOGENTRY_OL ON T_EB_OFFSETEXELOGENTRY ( FOFFSETEXELOG );

/**END **/