--预测相关表结构
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_MEMORY')
CREATE TABLE T_EB_PREDICT_MEMORY
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FTARGETDATASET  BIGINT DEFAULT 0 NOT NULL,
    FDIMHASH        BIGINT DEFAULT 0 NOT NULL,
    FMODEL          BIGINT DEFAULT 0 NOT NULL,
    FDATASET        BIGINT DEFAULT 0 NOT NULL,
    FNAME           NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FDIMCONF        NCLOB,
    FDIMVIEW        NCLOB,
    FCREATER        BIGINT DEFAULT 0 NOT NULL,
    FCREATEDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_MEMORY', 'T_EB_PREDICT_MEMORY', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_MEMORY_FTGD')
CREATE INDEX IDX_EB_PREDICT_MEMORY_FTGD ON T_EB_PREDICT_MEMORY ( FTARGETDATASET );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_MEMORY_CRT')
CREATE INDEX IDX_EB_PREDICT_MEMORY_CRT ON T_EB_PREDICT_MEMORY ( FCREATER );


/**END **/