-- T_EB_TASKPROCES_EXECUTORS 增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCES_EXECUTORS_BD')
CREATE INDEX IX_EB_TASKPROCES_EXECUTORS_BD ON T_EB_TASKPROCES_EXECUTORS ( FBASEDATAID );


-- T_EB_TASKPROCES 调整索引
IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESS')
DROP INDEX T_EB_TASKPROCESS.IX_EB_TASKPROCESS;

IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESSASSID')
DROP INDEX T_EB_TASKPROCESS.IX_EB_TASKPROCESSASSID;


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESS_TO')
CREATE INDEX IX_EB_TASKPROCESS_TO ON T_EB_TASKPROCESS ( FTASKID, FORGID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESS_TEMPLATE')
CREATE INDEX IX_EB_TASKPROCESS_TEMPLATE ON T_EB_TASKPROCESS ( FTEMPLATEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESS_EXECUTOR')
CREATE INDEX IX_EB_TASKPROCESS_EXECUTOR ON T_EB_TASKPROCESS ( FEXECUTORID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKPROCESS_ASSID')
CREATE INDEX IX_EB_TASKPROCESS_ASSID ON T_EB_TASKPROCESS ( FASSIGNERID );



-- T_EB_APPROVEBILL 增加索引 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEBILL_MPVD')
CREATE INDEX IDX_EB_APPROVEBILL_MPVD ON T_EB_APPROVEBILL ( FMODELID, FDIMPERIOD, FDIMVERSION, FDIMDATATYPE );