-- 数据源表增数据中心ID
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DATASOURCE' AND KSQL_COL_NAME IN ('FACCOUNTID')) 
ALTER TABLE T_EB_DATASOURCE ADD (FACCOUNTID NVARCHAR(50) DEFAULT ' ' NOT NULL);


-- 增加参数表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PARAM') 
CREATE TABLE T_EB_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 主键
EXEC P_ALTERPK 'PK_T_EB_PARAM', 'T_EB_PARAM', 'FID', '1';


-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PARAM')
CREATE INDEX IDX_EB_PARAM ON T_EB_PARAM (FNUMBER);


-- 增加参数表的参数，默认打开数据中心隔离
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PARAM')
DELETE FROM T_EB_PARAM WHERE FID = 1;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PARAM')
INSERT INTO T_EB_PARAM (FID, FNUMBER, FVALUE) VALUES(1, 'OPEN-DATASOURCE-ACCOUNT', '1');