
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAPVAL' AND KSQL_COL_NAME IN ('FBIZFIELDCOL'))
ALTER TABLE T_EB_INTEGRATION_MAPVAL ADD (FBIZFIELDCOL NVARCHAR(50) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAPVAL' AND KSQL_COL_NAME IN ('FASSISTNUMBER'))
ALTER TABLE T_EB_INTEGRATION_MAPVAL ADD (FASSISTNUMBER NVARCHAR(50) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAPVAL' AND KSQL_COL_NAME IN ('FASSISTNAME'))
ALTER TABLE T_EB_INTEGRATION_MAPVAL ADD (FASSISTNAME NVARCHAR(200) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAPVAL' AND KSQL_COL_NAME IN ('FSCOPE'))
ALTER TABLE T_EB_INTEGRATION_MAPVAL ADD (FSCOPE NVARCHAR(2) NOT NULL DEFAULT ' ');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAP' AND KSQL_COL_NAME IN ('FSOURCESYSINFO'))
ALTER TABLE T_EB_INTEGRATION_MAP ADD (FSOURCESYSINFO NVARCHAR(200) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAP' AND KSQL_COL_NAME IN ('FTARGETSYSINFO'))
ALTER TABLE T_EB_INTEGRATION_MAP ADD (FTARGETSYSINFO NVARCHAR(100) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_MAP' AND KSQL_COL_NAME IN ('FSCHEMETYPE'))
ALTER TABLE T_EB_INTEGRATION_MAP ADD (FSCHEMETYPE CHAR(1) NOT NULL DEFAULT '1');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_QUERY' AND KSQL_COL_NAME IN ('FBIZMODELID'))
ALTER TABLE T_EB_INTEGRATION_QUERY ADD (FBIZMODELID BIGINT NOT NULL DEFAULT 0);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_QUERY' AND KSQL_COL_NAME IN ('FINSSHOWSTR'))
ALTER TABLE T_EB_INTEGRATION_QUERY ADD (FINSSHOWSTR NVARCHAR(50) NOT NULL DEFAULT ' ');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_LOG' AND KSQL_COL_NAME IN ('FACTIONID'))
ALTER TABLE T_EB_INTEGRATION_LOG ADD (FACTIONID BIGINT NOT NULL DEFAULT 0);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_LOG' AND KSQL_COL_NAME IN ('FSTATUS'))
ALTER TABLE T_EB_INTEGRATION_LOG ADD (FSTATUS  CHAR(1) NOT NULL DEFAULT '4');

--执行方案关联的集成方案表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTEGRATIONQUERY_INS') 
 CREATE TABLE T_EB_INTEGRATIONQUERY_INS (
   FID BIGINT DEFAULT 0 NOT NULL,
   FPKID BIGINT DEFAULT 0 NOT NULL,
   FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

--主键和索引
 EXEC P_ALTERPK 'PK_EB_INTEGRATIONQUERY_INS', 'T_EB_INTEGRATIONQUERY_INS', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATIONQUERY_INS') CREATE INDEX IDX_EB_INTEGRATIONQUERY_INS ON T_EB_INTEGRATIONQUERY_INS (FID);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATION_LOG_A') CREATE INDEX IDX_EB_INTEGRATION_LOG_A ON T_EB_INTEGRATION_LOG (FACTIONID);