

/*==============================================================*/
/* Table: 	T_EB_HISTORYAPPROVERECORD          审批操作记录表   */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_HISTORYAPPROVERECORD')
CREATE TABLE T_EB_HISTORYAPPROVERECORD (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FAPPROVEBILL         NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FOPNAME              NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FOPERATION           NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FUSERID              BIGINT               NOT NULL DEFAULT 0,
   FENTITYID            BIGINT               NOT NULL DEFAULT 0,
   FVIEWID              BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FAPPROVEBILLID       BIGINT               NOT NULL DEFAULT 0,
   FAUDITTIME           DATETIME
);

 EXEC P_ALTERPK 'PK_EB_HISTORYAPPROVERECORD', 'T_EB_HISTORYAPPROVERECORD', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_HISTORYAPPROVERECORD_PRO                       */
/* Index: IDX_EB_HISTORYAPPROVERECORD_BILL                      */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_HISTORYAPPROVERECORD_PRO')
CREATE INDEX IDX_EB_HISTORYAPPROVERECORD_PRO ON T_EB_HISTORYAPPROVERECORD ( FPROCESSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_HISTORYAPPROVERECORD_BILL')
CREATE INDEX IDX_EB_HISTORYAPPROVERECORD_BILL ON T_EB_HISTORYAPPROVERECORD ( FAPPROVEBILLID );