IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEBILL_MDDD')
CREATE INDEX IDX_EB_APPROVEBILL_MDDD ON T_EB_APPROVEBILL ( FMODELID, FDIMPERIODNEW, FDIMVERSIONNEW, FDIMDATATYPE );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEBILL_EDDD')
CREATE INDEX IDX_EB_APPROVEBILL_EDDD ON T_EB_APPROVEBILL ( FEBORGID, FDIMPERIODNEW, FDIMVERSIONNEW, FDIMDATATYPE );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEBILLENTRY_TEMPID')
CREATE INDEX IDX_EB_APPROVEBILLENTRY_TEMPID ON T_EB_APPROVEBILLENTRY ( FTEMPID );

IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEBILL_MPVD')
DROP INDEX T_EB_APPROVEBILL.IDX_EB_APPROVEBILL_MPVD;

