﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TEMPLATESORT_SCHEME') 
CREATE TABLE T_EB_TEMPLATESORT_SCHEME (
	FID BIGINT NOT NULL DEFAULT 0,
	FRELATION BIGINT NOT NULL DEFAULT 0,
	FMODEL BIGINT NOT NULL DEFAULT 0,
	FCREATER BIGINT DEFAULT 0,
	FCREATEDATE DATETIME,
	FMODIFIER BIGINT DEFAULT 0,
	FMODIFYDATE DATETIME,
	FSTATUS CHAR(1) NOT NULL DEFAULT '1'
);
EXEC P_ALTERPK 'PK_T_EB_TEMPLATESORT_SCHEME', 'T_EB_TEMPLATESORT_SCHEME', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RELATION_T_EB_TEMPLATESORT_SCHEME') CREATE INDEX IDX_RELATION_T_EB_TEMPLATESORT_SCHEME ON T_EB_TEMPLATESORT_SCHEME ( FRELATION );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TEMPLATESORTENTRY') 
CREATE TABLE T_EB_TEMPLATESORTENTRY(
    FID       BIGINT NOT NULL DEFAULT 0, 
    FENTRYID  BIGINT NOT NULL DEFAULT 0,
    FSEQ      INT NOT NULL DEFAULT 0,
    FTEMPLATE BIGINT NOT NULL DEFAULT 0,
    FORDER    INT NOT NULL DEFAULT 0
);
EXEC P_ALTERPK 'PK_T_EB_TEMPLATESORTENTRY', 'T_EB_TEMPLATESORTENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FID_T_EB_TEMPLATESORTENTRY') CREATE INDEX IDX_FID_T_EB_TEMPLATESORTENTRY ON T_EB_TEMPLATESORTENTRY ( FID );



